camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-11056) Create a new camel-olingo4 component for supporting OData 4.0
Date Thu, 23 Mar 2017 14:06:41 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-11056?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15938367#comment-15938367
] 

ASF GitHub Bot commented on CAMEL-11056:
----------------------------------------

GitHub user dmvolod opened a pull request:

    https://github.com/apache/camel/pull/1562

    CAMEL-11056: Create a new camel-olingo4 component for supporting OData 4.0

    This is a new camel-olingo4 component which supports OData 4.0 protocol via Olingo4 library.
    It's was migrated from camel-olingo2 component to support backward compatibility except
some deprecated and changed features.
     

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/dmvolod/camel CAMEL-11056

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/camel/pull/1562.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #1562
    
----
commit cfca0443f449fef116e769eb83ccf0f4b1a01e11
Author: Dmitry Volodin <dmvolod@gmail.com>
Date:   2017-03-23T12:48:32Z

    CAMEL-11056: Create new camel-olingo4 component for supporting OData 4.0

commit e30e55dc4db2bb9e518f72392d687d2985aee481
Author: Dmitry Volodin <dmvolod@gmail.com>
Date:   2017-03-23T14:02:16Z

    CAMEL-11056: Update camel-olingo4 component doc

----


> Create a new camel-olingo4 component for supporting OData 4.0
> -------------------------------------------------------------
>
>                 Key: CAMEL-11056
>                 URL: https://issues.apache.org/jira/browse/CAMEL-11056
>             Project: Camel
>          Issue Type: New Feature
>          Components: camel-olingo2
>    Affects Versions: 2.19.0
>            Reporter: Dmitry Volodin
>            Priority: Minor
>              Labels: odata4, olingo4, rest_api
>
> We required Camel Olingo component with the OData 4.0 support as now OData Version 4.0
is OASIS based and widely using standard. For backward compatibility we've migrated current
camel-olingo2 to the new camel-olingo4 component, except deprecated and some new features.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message